go-sendxmpp (0.17.0-2) unstable; urgency=medium

  * d/control: Use dh-go for modern go builds.
  * Add missing ${misc:Static-Built-Using} to Static-Built-Using on go-sendxmpp.
  * Set upstream metadata fields: Repository.
  * Add missing ${misc:Built-Using} to Built-Using on go-sendxmpp.

 -- Martin Dosch <martin@mdosch.de>  Fri, 04 Sep 2026 20:58:58 +0000

go-sendxmpp (0.17.0-1) unstable; urgency=medium

  [ Martin Dosch ]
  * New upstream version 0.17.0
  * d/changelog: Remove trailing whitespace.

  [ Marcos Talau ]
  * d/salsa-ci.yml: Add CI to provide tests for Salsa.

 -- Martin Dosch <martin@mdosch.de>  Fri, 24 Jul 2026 19:52:05 +0000

go-sendxmpp (0.17.0~beta1-1) unstable; urgency=medium

  * New upstream version 0.17.0~beta1
  * d/control:
    - Build-dep on go-xmpp >= v0.3.7.
    - Bump dh compat to 14.
  * d/go-sendxmpp.install: Explicitly install go-sendxmpp executable.

 -- Martin Dosch <martin@mdosch.de>  Fri, 17 Jul 2026 19:37:25 +0000

go-sendxmpp (0.16.0-1) unstable; urgency=medium

  * New upstream version 0.16.0

 -- Martin Dosch <martin@mdosch.de>  Sat, 20 Jun 2026 07:57:26 +0000

go-sendxmpp (0.16.0~beta4-1) unstable; urgency=medium

  * New upstream version 0.16.0~beta4
  * d/control: Build-dep on go-xmpp >= v0.3.6.

 -- Martin Dosch <martin@mdosch.de>  Sun, 14 Jun 2026 10:23:33 +0000

go-sendxmpp (0.16.0~beta3-1) unstable; urgency=medium

  * New upstream version 0.16.0~beta3

 -- Martin Dosch <martin@mdosch.de>  Fri, 12 Jun 2026 18:44:58 +0000

go-sendxmpp (0.16.0~beta2-1) unstable; urgency=medium

  * New upstream version 0.16.0~beta2

 -- Martin Dosch <martin@mdosch.de>  Thu, 11 Jun 2026 18:46:12 +0000

go-sendxmpp (0.15.8-1) unstable; urgency=medium

  * New upstream version 0.15.8

 -- Martin Dosch <martin@mdosch.de>  Sat, 16 May 2026 12:25:55 +0000

go-sendxmpp (0.15.7-1) unstable; urgency=medium

  * New upstream version 0.15.7

 -- Martin Dosch <martin@mdosch.de>  Tue, 12 May 2026 17:35:51 +0000

go-sendxmpp (0.15.6-1) unstable; urgency=medium

  * New upstream version 0.15.6
  * d/control:
    - Build-dep on go-xmpp >= v0.3.3.
    - Bump standards version to 4.7.4 (no change required).
    - Remove redundant `Priority` field.
    - Remove redundant `Rules-Requires-Root` field.
  * d/watch: Update to version 5.

 -- Martin Dosch <martin@mdosch.de>  Fri, 01 May 2026 09:50:26 +0000

go-sendxmpp (0.15.5-1) unstable; urgency=medium

  * New upstream version 0.15.5
  * d/control: Build-dep on go-xmpp >= v0.3.2.
  * d/control: Bump standards version to 4.7.3 (no change).

 -- Martin Dosch <martin@mdosch.de>  Thu, 01 Jan 2026 20:02:37 +0000

go-sendxmpp (0.15.4-1) unstable; urgency=medium

  * New upstream version 0.15.4

 -- Martin Dosch <martin@mdosch.de>  Mon, 22 Dec 2025 13:03:14 +0000

go-sendxmpp (0.15.3-1) unstable; urgency=medium

  * New upstream version 0.15.3
  * d/control: build-dep on go-xmpp >= v0.3.1.

 -- Martin Dosch <martin@mdosch.de>  Thu, 11 Dec 2025 19:23:45 +0000

go-sendxmpp (0.15.2-2) unstable; urgency=medium

  * d/control: build-dep on go-xmpp >= v0.3.0.

 -- Martin Dosch <martin@mdosch.de>  Sun, 07 Dec 2025 15:07:17 +0000

go-sendxmpp (0.15.2-1) unstable; urgency=medium

  * New upstream version 0.15.2

 -- Martin Dosch <martin@mdosch.de>  Sat, 06 Dec 2025 15:42:50 +0000

go-sendxmpp (0.15.1-1) unstable; urgency=medium

  * New upstream version 0.15.1
  * d/control: Bump build dependency on go-xmpp to v0.2.18.

 -- Martin Dosch <martin@mdosch.de>  Sat, 18 Oct 2025 11:11:29 +0000

go-sendxmpp (0.15.0-1) unstable; urgency=medium

  * New upstream version 0.15.0
  * d/control: Add Static-Built-Using.

 -- Martin Dosch <martin@mdosch.de>  Mon, 18 Aug 2025 14:46:47 +0000

go-sendxmpp (0.15.0~beta1-2) unstable; urgency=medium

  * New upstream version 0.15.0~beta1
  * d/control: Change gopenpgp build-dep to v3. (Closes: #1087391)
  * d/control: Bump build-dep on go-xmpp to 0.2.16.
  * d/patches: Remove no longer needed patches.

 -- Martin Dosch <martin@mdosch.de>  Mon, 11 Aug 2025 12:31:40 +0000

go-sendxmpp (0.14.1-3) unstable; urgency=medium

  * Fix http-upload file size check. (Closes: #1103570)

 -- Martin Dosch <martin@mdosch.de>  Sat, 19 Apr 2025 20:29:09 +0000

go-sendxmpp (0.14.1-2) unstable; urgency=medium

  * d/patches: Fix http-upload. (Closes: #1103567)
  * d/control: Bump standards version to 4.7.2 (no change required).

 -- Martin Dosch <martin@mdosch.de>  Sat, 19 Apr 2025 09:05:31 +0000

go-sendxmpp (0.14.1-1) unstable; urgency=medium

  * New upstream version 0.14.1
  * d/control: Bump dependency on golang-github-mattn-go-xmpp-dev to 0.2.10.

 -- Martin Dosch <martin@mdosch.de>  Fri, 24 Jan 2025 23:30:54 +0000

go-sendxmpp (0.14.0-1) unstable; urgency=medium

  * New upstream version 0.14.0

 -- Martin Dosch <martin@mdosch.de>  Fri, 27 Dec 2024 21:12:46 +0000

go-sendxmpp (0.13.0-1) unstable; urgency=medium

  * New upstream version 0.13.0
  * d/docs: Add README.md to docs.
  * d/control: Run wrap-and-sort -ast.
  * d/control: build-dep on golang-github-mattn-go-xmpp-dev to >= 0.2.8.

 -- Martin Dosch <martin@mdosch.de>  Sat, 14 Dec 2024 12:15:40 +0000

go-sendxmpp (0.12.1-1) unstable; urgency=medium

  * New upstream version 0.12.1
  * d/control: Build-dep on go >= 1.21.

 -- Martin Dosch <martin@mdosch.de>  Sun, 17 Nov 2024 17:57:06 +0000

go-sendxmpp (0.12.0-1) unstable; urgency=medium

  * New upstream version 0.12.0
  * d/control: Bump dependency on golang-debian-mdosch-xmppsrv-dev to 0.3.3.
  * d/control: Bump dependency on golang-github-mattn-go-xmpp-dev to 0.2.5.

 -- Martin Dosch <martin@mdosch.de>  Sun, 03 Nov 2024 09:59:29 +0000

go-sendxmpp (0.11.4-2) unstable; urgency=medium

  * d/control: build-dep on golang-github-mattn-go-xmpp-dev >= 0.2.4..

 -- Martin Dosch <martin@mdosch.de>  Fri, 25 Oct 2024 23:10:41 +0000

go-sendxmpp (0.11.4-1) unstable; urgency=medium

  * New upstream version 0.11.4

 -- Martin Dosch <martin@mdosch.de>  Fri, 25 Oct 2024 22:57:13 +0000

go-sendxmpp (0.11.3-2) unstable; urgency=medium

  * Rebase as the local repository was not up to date for 0.11.3-1.

 -- Martin Dosch <martin@mdosch.de>  Fri, 25 Oct 2024 18:22:59 +0000

go-sendxmpp (0.11.3-1) unstable; urgency=medium

  * New upstream version 0.11.3
  * d/control: build-depend on golang-github-mattn-go-xmpp-dev >= 0.2.3.


 -- Martin Dosch <martin@mdosch.de>  Fri, 25 Oct 2024 18:21:31 +0000

go-sendxmpp (0.11.2-2) unstable; urgency=medium

  * d/control: Build-depend on golang-debian-mdosch-xmppsrv-dev >= 0.3.2.

 -- Martin Dosch <martin@mdosch.de>  Tue, 17 Sep 2024 21:49:13 +0200

go-sendxmpp (0.11.2-1) unstable; urgency=medium

  * New upstream version 0.11.2

 -- Martin Dosch <martin@mdosch.de>  Tue, 17 Sep 2024 18:57:23 +0000

go-sendxmpp (0.11.1+gopenpgpv3-2) experimental; urgency=medium

  * d/control: Fix typos.
  * d/control: Remove build dependency on golang-golang-x-crypto-dev.

 -- Martin Dosch <martin@mdosch.de>  Tue, 13 Aug 2024 19:06:37 +0000

go-sendxmpp (0.11.1+gopenpgpv3-1) experimental; urgency=medium

  * Build upstream branche gopenpgpv3.
  * d/control: Build-depend on gopengpgp >= 3.0.0.
  * d/control: Build depend on protonmail/go-crypto >= 1.1.0.
  * d/control: Bump standards version to 4.7.0 (no change).
  * d/watch: Fix detection of upstream releases.

 -- Martin Dosch <martin@mdosch.de>  Sun, 11 Aug 2024 19:23:20 +0000

go-sendxmpp (0.11.1-1) unstable; urgency=medium

  * New upstream version 0.11.1
  * d/control: Bump standards version to 4.7.0 (no change).
  * d/watch: Fix detection of upstream releases.

 -- Martin Dosch <martin@mdosch.de>  Thu, 11 Jul 2024 19:17:35 +0000

go-sendxmpp (0.11.0-1) unstable; urgency=medium

  * New upstream version 0.11.0
  * d/control: Add build-dep on golang-golang-x-crypto-dev.
  * d/control: Bump standards version to 4.7.0 (no change).

 -- Martin Dosch <martin@mdosch.de>  Wed, 29 May 2024 17:04:50 +0000

go-sendxmpp (0.10.0-1) unstable; urgency=medium

  * New upstream version 0.10.0
  * d/control: Bump build dependency on go-xmpp to >= v0.2.0.

 -- Martin Dosch <martin@mdosch.de>  Sat, 13 Apr 2024 10:21:20 +0000

go-sendxmpp (0.9.0+git20240410.be78a2b8-1) experimental; urgency=medium

  * Build current development version.
  * d/control: New build dep golang-github-google-uuid-dev.
  * d/control: Bump build dep on golang-github-mattn-go-xmpp-dev to current
    development version.

 -- Martin Dosch <martin@mdosch.de>  Wed, 10 Apr 2024 16:25:23 +0000

go-sendxmpp (0.9.0-1) unstable; urgency=medium

  * New upstream version 0.9.0
  * d/control: Increase build dep on golang-github-mattn-go-xmpp-dev.

 -- Martin Dosch <martin@mdosch.de>  Thu, 28 Mar 2024 18:28:41 +0000

go-sendxmpp (0.8.4-1) unstable; urgency=medium

  * New upstream version 0.8.4
  * d/control: Bump build-dep on golang-github-mattn-go-xmpp-dev to >= 0.1.2.

 -- Martin Dosch <martin@mdosch.de>  Sat, 09 Mar 2024 20:19:26 +0000

go-sendxmpp (0.8.3-1) unstable; urgency=medium

  * New upstream version 0.8.3

 -- Martin Dosch <martin@mdosch.de>  Sat, 17 Feb 2024 16:08:52 +0000

go-sendxmpp (0.8.2-2) unstable; urgency=medium

  * d/control: Add build dependency ronn.
  * d/rules: Regenerate manpages from source on package build.

 -- Martin Dosch <martin@mdosch.de>  Fri, 09 Feb 2024 03:44:10 +0000

go-sendxmpp (0.8.2-1) unstable; urgency=medium

  * New upstream version 0.8.2
  * d/control: Build dep on xmppsrv >= 0.2.6

 -- Martin Dosch <martin@mdosch.de>  Fri, 19 Jan 2024 18:34:55 +0000

go-sendxmpp (0.8.1-1) unstable; urgency=medium

  * New upstream version 0.8.1
  * d/control: Build dep on go-xmpp >= 0.0~git20240113.f8a2450~

 -- Martin Dosch <martin@mdosch.de>  Tue, 16 Jan 2024 21:27:42 +0000

go-sendxmpp (0.8.0-1) unstable; urgency=medium

  * New upstream version 0.8.0
  * d/control: Build dep on go-xmpp >= 0.0~git20240109.39f5b80

 -- Martin Dosch <martin@mdosch.de>  Tue, 09 Jan 2024 10:45:28 +0000

go-sendxmpp (0.7.0-1) unstable; urgency=medium

  * New upstream version 0.7.0
  * d/control: Update build-dep on mattn/go-xmpp.

 -- Martin Dosch <martin@mdosch.de>  Sat, 11 Nov 2023 14:25:27 +0000

go-sendxmpp (0.6.2-1) unstable; urgency=medium

  * New upstream version 0.6.2
  * d/control: Update build-dep versions for backports compatibility.

 -- Martin Dosch <martin@mdosch.de>  Fri, 29 Sep 2023 17:44:16 +0000

go-sendxmpp (0.6.1-1) unstable; urgency=medium

  * New upstream version 0.6.1

 -- Martin Dosch <martin@mdosch.de>  Tue, 25 Jul 2023 17:17:31 +0000

go-sendxmpp (0.6.0-1) unstable; urgency=medium

  * New upstream version 0.6.0

 -- Martin Dosch <martin@mdosch.de>  Sun, 02 Jul 2023 08:03:31 +0000

go-sendxmpp (0.5.6+git20230619.cd49a78b-1) unstable; urgency=medium

  * New upstream version 0.5.6+git20230619.cd49a78b

 -- Martin Dosch <martin@mdosch.de>  Tue, 20 Jun 2023 18:40:12 +0000

go-sendxmpp (0.5.6+git20230607.5f8f8e01-1) unstable; urgency=medium

  * Update to latest development version.
  * d/control: Increase standards version to 4.6.2 (no change).
  * Add build-depend on golang-github-mattn-go-xmpp-dev
    (>= 0.0~git20230322.7d82a38).
  * Add build-depend on golang-debian-mdosch-xmppsrv-dev (>= 0.2.5.
  * Add build-depend on golang-github-beevik-etree-dev (>= 1.1.4).

 -- Martin Dosch <martin@mdosch.de>  Tue, 13 Jun 2023 17:01:03 +0000

go-sendxmpp (0.5.6+git20221206.bbc83969-1) unstable; urgency=medium

  * Update to latest development version.
  * Improved manpage layout.

 -- Martin Dosch <martin@mdosch.de>  Wed, 07 Dec 2022 06:29:06 +0000

go-sendxmpp (0.5.6-1) unstable; urgency=medium

  * New upstream release.

 -- Martin Dosch <martin@mdosch.de>  Fri, 11 Nov 2022 17:30:26 +0000

go-sendxmpp (0.5.5-1) unstable; urgency=medium

  * New upstream release.

 -- Martin Dosch <martin@mdosch.de>  Sun, 16 Oct 2022 12:03:30 +0200

go-sendxmpp (0.5.4-1) unstable; urgency=medium

  * New upstream release.

 -- Martin Dosch <martin@mdosch.de>  Fri, 30 Sep 2022 07:29:42 +0200

go-sendxmpp (0.5.3-1) unstable; urgency=medium

  * New upstream release.

 -- Martin Dosch <martin@mdosch.de>  Thu, 29 Sep 2022 15:42:50 +0200

go-sendxmpp (0.5.2-1) unstable; urgency=medium

  * New upstream release.

 -- Martin Dosch <martin@mdosch.de>  Thu, 29 Sep 2022 14:49:02 +0200

go-sendxmpp (0.5.1-1) unstable; urgency=medium

  * New upstream release (Closes: #1012414).

 -- Martin Dosch <martin@mdosch.de>  Fri, 15 Jul 2022 16:08:59 +0530

go-sendxmpp (0.3.0-1) unstable; urgency=medium

  * New upstream release.

 -- Martin Dosch <martin@mdosch.de>  Mon, 21 Mar 2022 09:22:11 +0800

go-sendxmpp (0.2.0-1) unstable; urgency=medium

  * New upstream release.

 -- Martin Dosch <martin@mdosch.de>  Thu, 17 Feb 2022 11:46:47 +0100

go-sendxmpp (0.1.2-1) unstable; urgency=medium

  * Initial release (Closes: #905427)

 -- Martin Dosch <martin@mdosch.de>  Sun, 16 Jan 2022 11:25:43 +0100
